• 欢迎访问速搜资源吧,如果在网站上找不到你需要的资源,可以在留言板上留言,管理员会尽量满足你!

OPENWRT固件存在安全缺陷让数百万台路由器和嵌入式设备面临风险

科技信息 admin 2个月前 (04-02) 89次浏览 已收录 0个评论

为路由器和嵌入式设备提供支持的OPENWRT开源操作系统非常流行 , 这款系统允许用户按需安装不同的软件包。

对于路由器用户来说可以按照自己需要安装各种软件包实现不同的功能,因此这款系统近年来流行度也越来越高。

不过近期有研究人员发现该操作系统存在几处安全缺陷,攻击者可以非常轻松地利用这些缺陷来控制对应的设备。

OPENWRT固件存在安全缺陷让数百万台路由器和嵌入式设备面临风险

签名校验系统存在BUG可绕过:

和多数操作系统那样OPENWRT也会对预安装文件进行校验 , 理论上说只有通过签名校验的安装文件才可被安装。

这种签名校验方式能够确保只有开发商允许或认可的安装包被安装,攻击者制作的非法文件理论上是无法安装的。

但研究发现该系统在 2017 年发布更新时引入某个BUG , 这个问题可以让签名校验系统可以被轻松绕过无法防护。

具体来说该系统用于校验哈希值的函数存在问题,攻击者只需要在输入字符串前加个空格就可直接绕过哈希校验。

这个漏洞利用起来毫无难度因此任何攻击者都可以轻松绕过校验来安装恶意软件,进而可直接控制整个操作系统

更新服务器没有采用HTTPS加密

与此同时OPENWRT项目组到现在为止也没有采用HTTPS加密传输 , 这意味着攻击者可以发动中间人劫持攻击等。

通过中间人劫持OPENWRT系统的更新服务器和下载服务器域名,即可将用户准备安装的文件等替换为恶意文件。

配合哈希值校验系统的错误即可绕过校验让恶意文件成功被安装,安装后攻击者即可远程控制被感染的路由器等。

但没有采用HTTPS加密是项目组故意的做法 , 因为有很多老旧的路由或嵌入式设备并不支持HTTPS加密数据传输。

漏洞已修复用户要更新:

研究人员将漏洞提交给项目组后目前已经得到确认和修复,用户至少需要升级到18.06.7或19.07.1才可确保安全。

上述版本已经将哈希值校验漏洞彻底修复,不过就目前来说从系统内部直接发起更新然后还是采用明文传输协议。

如果用户使用的并不是OPENWRT官方版而是第三方定制版 , 请及时联系固件维护者进行更新确保漏洞已被修复。

项目组正在考虑开发新的更新方式让用户在浏览器里使用 HTTPS 实时下载并更新等 ,这样可以抵御中间人攻击。


速搜资源网 , 版权所有丨如未注明 , 均为原创丨转载请注明原文链接:OPENWRT固件存在安全缺陷让数百万台路由器和嵌入式设备面临风险
喜欢 (0)
[361009623@qq.com]
分享 (0)
发表我的评论
取消评论
表情 贴图 加粗 删除线 居中 斜体 签到

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址